DeepFellow DOCS

Search the knowledge graph

Search the project's knowledge graph using natural language.

POST
/v1/graph/search
Authorization[Bearer <token>]

In: header

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

query[Query]

Natural language search query

num_results?[Num Results]

Number of results to return

Default10
Range1 <= value <= 100

Response Body

curl -X POST "https://deepfellow-server-host/v1/graph/search" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{
  "results": [
    {
      "uuid": "string",
      "name": "string",
      "fact": "string",
      "source_node_uuid": "string",
      "target_node_uuid": "string",
      "group_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "valid_at": "2019-08-24T14:15:22Z",
      "invalid_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.